package net.roseindia;

// import
import javax.json.*;
import java.util.*;


public class JsonArrayBuilderExample {

 public static void main(String[] args) {

        // Create object of JsonArrayBuilder
        JsonArrayBuilder jsonArrayBuilder = Json.createArrayBuilder();
		
			jsonArrayBuilder.add(
                    Json.createObjectBuilder()
                            .add("id", "I001")
                            .add("name", "Deepak")
            );

			jsonArrayBuilder.add(
                    Json.createObjectBuilder()
                            .add("id", "I002")
                            .add("name", "John")
            );	

			jsonArrayBuilder.add(
                    Json.createObjectBuilder()
                            .add("id", "I003")
                            .add("name", "Mohan")
            );			

			jsonArrayBuilder.add(
                    Json.createObjectBuilder()
                            .add("id", "I004")
                            .add("name", "Sandeep")
            );	
			
        JsonArray usersJson = jsonArrayBuilder.build();

        System.out.println(usersJson.toString());
		/*
		//Compile mvn compile
		//Run: mvn exec:java -Dexec.mainClass="net.roseindia.JsonArrayBuilderExample"
		//Output of the program
		
			[
			{"id":"I001","name":"Deepak"},
			{"id":"I002","name":"John"},
			{"id":"I003","name":"Mohan"},
			{"id":"I004","name":"Sandeep"}
			
			]
		
		*/

    }
}